---------------------
PatchSet 10214 
Date: 2007/12/12 10:00:21
Author: adri
Branch: s27_adri
Tag: (none) 
Log:
strBuf() -> strBuf2(); use strCmp() on Strings. (118 to go!)

Members: 
	src/internal.c:1.15->1.15.12.1 

Index: squid/src/internal.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/internal.c,v
retrieving revision 1.15
retrieving revision 1.15.12.1
diff -u -r1.15 -r1.15.12.1
--- squid/src/internal.c	26 Feb 2007 09:51:32 -0000	1.15
+++ squid/src/internal.c	12 Dec 2007 10:00:21 -0000	1.15.12.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: internal.c,v 1.15 2007/02/26 09:51:32 squidadm Exp $
+ * $Id: internal.c,v 1.15.12.1 2007/12/12 10:00:21 adri Exp $
  *
  * DEBUG: section 76    Internal Squid Object handling
  * AUTHOR: Duane, Alex, Henrik
@@ -43,12 +43,11 @@
 internalStart(request_t * request, StoreEntry * entry)
 {
     ErrorState *err;
-    const char *upath = strBuf(request->urlpath);
-    debug(76, 3) ("internalStart: %s requesting '%s'\n",
-	inet_ntoa(request->client_addr), upath);
-    if (0 == strcmp(upath, "/squid-internal-dynamic/netdb")) {
+    debug(76, 3) ("internalStart: %s requesting '%.*s'\n",
+	inet_ntoa(request->client_addr), strLen2(request->urlpath), strBuf2(request->urlpath));
+    if (0 == strCmp(request->urlpath, "/squid-internal-dynamic/netdb")) {
 	netdbBinaryExchange(entry);
-    } else if (0 == strcmp(upath, "/squid-internal-periodic/store_digest")) {
+    } else if (0 == strCmp(request->urlpath, "/squid-internal-periodic/store_digest")) {
 #if USE_CACHE_DIGESTS
 	const char *msgbuf = "This cache is currently building its digest.\n";
 #else
